%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define api 1
%define major 0
%define gi_version 1.0
%define libname %mklibname %{name} %{api} %{major}
%define giname %mklibname %{name}-gir %{gi_version}
%define develname %mklibname -d %name %api

Summary:	PolicyKit Authorization Framework
Name:		polkit
Version:	0.104
Release:	%mkrel 4
License:	LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/PolicyKit
Source0:	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
Patch0:	polkit-0.104-systemd.patch
Group:		System/Libraries
BuildRequires:	expat-devel
BuildRequires:	pam-devel
BuildRequires:	eggdbus-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	libgirepository-devel
# (cg) Only needed due to patches+autoconf
BuildRequires: gettext-devel

%if !%bootstrap
Requires:	consolekit
%endif

BuildRequires:		systemd-units
Requires(post):		systemd-units
Requires(preun):	systemd-units
Requires(postun):	systemd-units
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

Suggests:	%{name}-desktop-policy

%description
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

%package desktop-policy
Summary:	PolicyKit policy for desktop users
Group:		System/Libraries
#Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description desktop-policy
This package contains configuration directives to make PolicyKit use
members of the wheel group when administrator authentication is
required. Additionally, the package also contain configuration
directives to allow users in the wheel group to do certain actions
without being interrupted by password dialogs

%package -n %{libname}
Group:		System/Libraries
Summary:	PolicyKit Authorization Framework
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

This package contains the shared libraries of %{name}.

%package -n %{giname}
Group:		System/Libraries
Summary:	GObject Introspection interface library for %{name}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	polkit < 0.101-4

%description -n %{giname}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Summary:	Development files for PolicyKit
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-%{api}-devel = %{version}-%{release}

%description -n %{develname}
Development files for PolicyKit.

%prep
%setup -q
%apply_patches

%build
libtoolize --copy --force; aclocal; autoheader; automake --add-missing --force-missing; autoconf
%configure2_5x \
	--enable-gtk-doc \
	--disable-static \
	--libexecdir=%{_libexecdir}/polkit-1

%make

%install
%makeinstall_std

###
### BEGIN DESKTOP POLICY CONFIGURATION ###
###

cat > %{buildroot}%{_sysconfdir}/polkit-1/localauthority.conf.d/60-desktop-policy.conf << EOF
# This allows users in the wheel group to authenticate as the
# administrator.
#
# DO NOT EDIT THIS FILE, it will be overwritten on update.

[Configuration]
AdminIdentities=unix-group:wheel
EOF

cat > %{buildroot}%{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d/10-desktop-policy.pkla << EOF
# Authorizations/policy for the wheel group.
#
# DO NOT EDIT THIS FILE, it will be overwritten on update.
#
# Allow users in the wheel group to do certain actions without being
# interrupted by password dialogs
#
[Wheel Group Permissions]
Identity=unix-group:wheel
Action=org.gnome.settingsdaemon.datetimemechanism.*;org.kde.kcontrol.kcmclock.save;org.freedesktop.RealtimeKit1.*;org.freedesktop.udisks.filesystem-mount-system-internal;org.freedesktop.hostname1.set-static-hostname
ResultAny=auth_admin
ResultInactive=auth_admin
ResultActive=yes
EOF

###
### END DESKTOP POLICY CONFIGURATION
###

%find_lang %{name}-%{api}

# we don't want these
find %{buildroot} -name "*.la" -delete

%post
%_post_service polkitd

%preun
%_preun_service polkitd

%files -n %{libname}
%{_libdir}/lib*-%{api}.so.%{major}*

%files -n %{giname}
%{_libdir}/girepository-1.0/*-%{gi_version}.typelib

%files desktop-policy
%{_sysconfdir}/polkit-1/localauthority.conf.d/60-desktop-policy.conf
%{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d/10-desktop-policy.pkla

%files -f polkit-1.lang
%dir %{_libdir}/polkit-1
%dir %{_libdir}/polkit-1/extensions
%{_libdir}/polkit-1/extensions/*.so
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/dbus-1/system-services/*
%dir %{_datadir}/polkit-1/
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.policy
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.examples.pkexec.policy
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
%{_sysconfdir}/pam.d/polkit-1
%{_sysconfdir}/polkit-1
%exclude %{_sysconfdir}/polkit-1/localauthority.conf.d/60-desktop-policy.conf
%{_bindir}/pkaction
%{_bindir}/pkcheck
%{_bindir}/pk-example-frobnicate
%{_libexecdir}/polkit-1/polkitd
%{_unitdir}/polkitd.service

# see upstream docs for why these permissions are necessary
%attr(0700,root,root) %dir %{_var}/lib/polkit-1/
%attr(4755,root,root) %{_bindir}/pkexec
%attr(4755,root,root) %{_libexecdir}/polkit-1/polkit-agent-helper-1

%attr(0700,root,root) %dir %{_localstatedir}/lib/polkit-1/
%dir %{_localstatedir}/lib/polkit-1/localauthority
%dir %{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/20-org.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/30-site.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/50-local.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/90-mandatory.d

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*-%{gi_version}.gir
%{_includedir}/*


%changelog

* Sat Apr 28 2012 tmb <tmb> 0.104-4.mga2
+ Revision: 233838
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 02 2012 colin <colin> 0.104-3.mga2
+ Revision: 227969
- Kill off excessive debug under systemd
- Convert systemd support to a patch which also tweaks dbus activation be systemd aware
- Add BR on gettext-devel due to autoconf

  + dmorgan <dmorgan>
    - Remove %%_postun_service macro, this is now handled by filetriggers

* Tue Jan 17 2012 wally <wally> 0.104-1.mga2
+ Revision: 197397
- new version 0.104
- clean .spec a bit

* Wed Nov 09 2011 wally <wally> 0.102-4.mga2
+ Revision: 165956
- get rid of .la files

* Tue Nov 01 2011 dmorgan <dmorgan> 0.102-3.mga2
+ Revision: 160951
- Fix scriplets ( mdv)

* Sat Oct 29 2011 dmorgan <dmorgan> 0.102-2.mga2
+ Revision: 159670
- Add systemd support (mdv)

  + fwang <fwang>
    - New version 0.102, drop merged patches

* Fri Jul 08 2011 cjw <cjw> 0.101-5.mga2
+ Revision: 120264
- add conflicts with old polkit on typelib package

* Fri Jul 08 2011 cjw <cjw> 0.101-4.mga2
+ Revision: 119991
- put gobject introspection typelibs in a separate package
- rebuild to add automatic typelib provides and deps

* Fri Jun 17 2011 dmorgan <dmorgan> 0.101-3.mga2
+ Revision: 108690
- Add default rules for desktop users

* Tue May 17 2011 misc <misc> 0.101-2.mga2
+ Revision: 99527
- fix #1298, CVE-2011-1485, polkit local root exploit, patches from
  upstream

* Fri Apr 15 2011 dams <dams> 0.101-1.mga1
+ Revision: 85554
- update to 0.101

  + rtp <rtp>
    - add bootstrap (to install libpolkit, one needs consolekit and to build
      consolekit one needs libpolkit-1-devel)

* Thu Jan 13 2011 dmorgan <dmorgan> 0.99-1.mga1
+ Revision: 10405
- imported package polkit


* Mon Sep 20 2010 Götz Waschk <waschk@mandriva.org> 0.99-1mdv2011.0
+ Revision: 579953
- update to new version 0.99

* Tue Aug 24 2010 Götz Waschk <waschk@mandriva.org> 0.98-1mdv2011.0
+ Revision: 572587
- new version
- drop patch

* Fri Aug 20 2010 Götz Waschk <waschk@mandriva.org> 0.97-2mdv2011.0
+ Revision: 571424
- add fix for bug #60617

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 0.97-1mdv2011.0
+ Revision: 568931
- new version
- drop patch 0

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.96-3mdv2011.0
+ Revision: 563242
- rebuild for new gobject-introspection

* Wed Apr 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.96-2mdv2010.1
+ Revision: 540125
- Patch0 (GIT): fix polkit information disclosure (fdo bug #26982)

* Mon Jan 18 2010 Frederic Crozat <fcrozat@mandriva.com> 0.96-1mdv2010.1
+ Revision: 493024
- Release 0.96

* Mon Nov 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95-1mdv2010.1
+ Revision: 471660
- Update to version 0.95

* Thu Aug 13 2009 Frederic Crozat <fcrozat@mandriva.com> 0.94-1mdv2010.0
+ Revision: 415982
- Release 0.94

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 0.93-2mdv2010.0
+ Revision: 399254
- fix libexecdir

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 0.93-1mdv2010.0
+ Revision: 399185
- new version
- update file list

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-2mdv2010.0
+ Revision: 395849
- update deps

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-1mdv2010.0
+ Revision: 395832
- import polkit


* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-1mdv2010.0
- port to Mandriva

* Tue Jun 09 2009 David Zeuthen <davidz@redhat.com> - 0.92-3
- Don't make docs noarch (I *heart* multilib)
- Change license to LGPLv2+

* Mon Jun 08 2009 David Zeuthen <davidz@redhat.com> - 0.92-2
- Rebuild

* Mon Jun 08 2009 David Zeuthen <davidz@redhat.com> - 0.92-1
- Update to 0.92 release

* Wed May 27 2009 David Zeuthen <davidz@redhat.com> - 0.92-0.git20090527
- Update to 0.92 snapshot

* Mon Feb  9 2009 David Zeuthen <davidz@redhat.com> - 0.91-1
- Initial spec file.
